/*
 *  Copyright 2020 Huawei Technologies Co., Ltd.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
<template>
  <div class="top-container">
    <div class="conn_con">
      <div
        class="video_pannel"
        id="video_pannel"
      >
        <img
          alt="video"
          :src="currentUserLive"
          width="100%"
          height="100%"
          class="zoom"
        >
        <div class="lg-location_pos xs-lt_lang_pos">
          <div>
            <span class="font-size-30x xs-font-15x">Latitude :</span><span class="font-size-30x xs-font-15x">{{ this.locationDetails.lat }}</span>
          </div>
          <div>
            <span class="font-size-30x xs-font-15x">Langititude :</span><span class="font-size-30x xs-font-15x">{{ this.locationDetails.lang }}</span>
          </div>
        </div>
      </div>
      <!--responsive potholeList-->
      <div class="xs-pothole-data display-none xs-display-block">
        <el-collapse style="width:100%">
          <el-collapse-item
            name="1"
            class="ls-pothole-data"
          >
            <el-table
              :data="tableData"
              :row-style="getRowClass"
              :cell-style="getRowClass"
              :header-row-style="getRowClass"
              :header-cell-style="getRowClass"
              style="width: 100%"
            >
              <el-table-column
                prop="Confidence"
                label="Confidence"
                width="120"
              />
              <el-table-column
                prop="latitude"
                label="Coordinates-1"
                width="100"
              />
              <el-table-column
                prop="latitude"
                label="Coordinates-2"
                width="100"
              />
            </el-table>
          </el-collapse-item>
        </el-collapse>
      </div>

      <!--PothholeList--->
      <div class="display-none lg-display-block pothole-data">
        <el-collapse style="width:100%">
          <el-collapse-item
            name="1"
            class="pothole-data"
          >
            <el-table
              :data="tableData"
              :row-style="getRowClass"
              :cell-style="getRowClass"
              :header-row-style="getRowClass"
              :header-cell-style="getRowClass"
              style="width: 100%"
            >
              <!-- <el-table-column
                prop="Class"
                label="Name"
                width="80"
              /> -->
              <el-table-column
                prop="Confidence"
                label="Confidence"
                width="130"
              />
              <el-table-column
                prop="latitude"
                label="Coordinates-1"
                width="120"
              />
              <el-table-column
                prop="longitude"
                label="Coordinates-2"
              />
            </el-table>
          </el-collapse-item>
        </el-collapse>
      </div>
    </div>
  </div>
</template>

<script lang="js">

import axios from 'axios'
// import flvjs from 'flv.js'
import baseUrl from '@/config'

export default {
  name: 'Live',
  data () {
    return {
      videoStream: '',
      flvPlayer: null,
      tableData: [],
      potholeData: [],
      isCollapse: true,
      currentUserLive: '',
      locationDetails: {
        lat: '',
        lang: ''
      }
    }
  },
  components: {

  },
  beforeMount () {
    this.$root.$on('locationDetails', (data) => {
      this.locationDetails = data
      console.log('lat lang', this.locationDetails)
    })
  },
  mounted () {
    this.getMessages()
  },
  created () {
  },
  methods: {
    getRowClass ({ row, column, rowIndex, columnIndex }) {
      return 'background:transparent'
    },
    // Query Messages
    getMessages () {
      const URL = baseUrl.baseUrl_NodeProxy + '/pothole_data'
      // const URL = 'https://192.168.1.5:5000/pothole_data'
      axios.get(URL)
        .then(response => {
          this.tableData = response.data
          // console.log('data', this.tableData)
          setTimeout(function () {
            this.getMessages()
          }.bind(this),
          3000)
        })
        .catch(error => {
          this.errorMessage = error.message
          this.$notify.error({
            message: 'Error In Getting Messages'
          })
        })
    },
    getCurrentuserLive () {
      let clientID = localStorage.getItem('DeviceIP')
      const URL = 'https://10.15.103.48:30210/videoFile' + '/' + clientID
      axios.get(URL)
        .then(response => {
          this.currentUserLive = response.data
        })
        .catch(error => {
          this.errorMessage = error.message
          this.$notify.error({
            message: 'Error In Getting LIVE'
          })
        })
    }
  }
}
</script>
<style scoped lang="less">
.top-container{
  display: flex;
}
.conn_con{
  width: 98%;
  margin-top: 65px;
}
.video_pannel {
  width: 100%;
  height: 700px;
  // margin: auto;
}
.pothole-data {
  padding: 13px;
  padding-top:0px ;
  position: absolute;
  top: 50px;
  width: 41px;
  right: 20px;
}
.el-collapse-item__content {
  padding-bottom: 0 !important;
}
.el-table__cell {
  text-align: center;
}
.display-none {
  display: none
}
.lg-display-block {
  display: block;
}
.font-size-30x {
  font-size: 30px;
}
.lg-location_pos {
  position: absolute;
  bottom: 180px;
  padding-left: 20px;
  z-index: 999;
}
@media(max-width:900px) {
  .video_pannel{
    width: 98%;
    margin: auto;
    height: 300px;
    padding: 1%;
  }
  .xs-pothole-data {
    padding: 0;
    width: 30px;
    position: absolute;
    right: 26px;
  }
  .display-none {
    display: none
  }
  .xs-display-block {
    display: block;
  }
  .conn_con{
    width: 100%;
  }
  .zoom{
    width: 100%;
    height: 100%;
  }
  .ls-pothole-data {
    position: fixed;
    right: 5px;
    width: 400px;
    top: 65px;
    z-index: 99;
  }
  .xs-lt_lang_pos {
    position: absolute;
    bottom: 60px;
    padding-left: 10px;
    z-index: 0;
  }
  .xs-font-15x {
    font-size: 15px;
  }
}
</style>
